Gecode::Float::Arithmetic Namespace Reference

Arithmetic propagators More...

## Classes

class | SqrPlus
| Bounds consistent positive square propagator. More...
class | Sqr
| Propagator for bounds consistent square operator More...
class | Sqrt
| Propagator for bounds consistent square root operator More...
class | Abs
| Propagator for bounds consistent absolute operator More...
class | Pow
| Propagator for bounds consistent pow operator More...
class | NthRoot
| Propagator for bounds consistent nth root operator More...
class | MultZeroOne
| Bounds or domain consistent propagator for . More...
class | MultPlus
| Bounds consistent positive multiplication propagator. More...
class | Mult
| Bounds consistent multiplication propagator. More...
class | Div
| Propagator for bounds division operator More...
class | Min
| Propagator for bounds consistent min operator More...
class | Max
| Propagator for bounds consistent max operator More...
class | NaryMax
| Bounds consistent n-ary maximum propagator. More...

## Enumerations

enum | MaxPropStatus { MPS_ASSIGNED = 1<<0 , MPS_REMOVED = 1<<1 , MPS_NEW_BOUND = 1<<2 }
| Status of propagation for nary max. More...

## Functions

template<class View>
ExecStatus | prop_nary_max (Space &home, Propagator &p, ViewArray< View > &x, View y, PropCond pc)
template<class View>
bool | pos (const View &x)
| Test whether x is postive.
template<class View>
bool | neg (const View &x)
| Test whether x is negative.
template<class View>
bool | any (const View &x)
| Test whether x is neither positive nor negative.

## Detailed Description

Arithmetic propagators

## Enumeration Type Documentation

## MaxPropStatus

enum Gecode::Float::Arithmetic::MaxPropStatus

Status of propagation for nary max.

Enumerator
MPS_ASSIGNED | All views are assigned.
MPS_REMOVED | A view is removed.
MPS_NEW_BOUND | Telling has found a new upper bound.

Definition at line 196 of file min-max.hpp.

## Function Documentation

## prop_nary_max()

template<class View>

ExecStatus Gecode::Float::Arithmetic::prop_nary_max | ( | Space & | home,
|  | Propagator & | p,
|  | ViewArray< View > & | x,
|  | View | y,
|  | PropCond | pc )

inline

Definition at line 204 of file min-max.hpp.

## pos()

template<class View>

bool Gecode::Float::Arithmetic::pos | ( | const View & | x | ) |

inline

Test whether x is postive.

Definition at line 41 of file mult.hpp.

## neg()

template<class View>

bool Gecode::Float::Arithmetic::neg | ( | const View & | x | ) |

inline

Test whether x is negative.

Definition at line 47 of file mult.hpp.

## any()

template<class View>

bool Gecode::Float::Arithmetic::any | ( | const View & | x | ) |

inline

Test whether x is neither positive nor negative.

Definition at line 53 of file mult.hpp.